Page MenuHomePhabricator

The "Information" link on Preferences→Beta should link to localized version
Closed, ResolvedPublic

Description

Each beta feature has an "Information" link on preferences.

This link always points to the English version of the page on MediaWiki.org, even if there is a translated version.

Therefore, please add Special:MyLanguage/ to this link.

Details

Related Gerrit Patches:
mediawiki/extensions/CodeMirror : masterUse MyLanguage for betafeature info link.
mediawiki/extensions/Popups : masterUse Special:MyLanguage in help link for betafeature info
mediawiki/extensions/UniversalLanguageSelector : masterUse Special:MyLanguage in help link for betafeature info
mediawiki/extensions/ContentTranslation : masterUse Special:MyLanguage in help link for betafeature info

Event Timeline

Guycn2 created this task.Sep 16 2016, 10:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2016, 10:13 PM
Aklapper renamed this task from The "Information" link on Preferences=>Beta should be localized to The "Information" link on Preferences→Beta should link to localized version.Sep 19 2016, 1:41 PM
Nemo_bis triaged this task as Medium priority.Nov 6 2016, 12:24 PM

This needs to be changed in every repository, right? For now I update the documentation; https://www.mediawiki.org/w/index.php?title=Extension%3ABetaFeatures&type=revision&diff=2278902&oldid=2242194

Thanks, Nemo.
I've submitted patches for the 4 BetaFeatures that didn't have Special:MyLanguage links already.
The only item missing a Special:MyLanguage link now, is https://meta.wikimedia.org/wiki/Community_Tech/Wikitext_editor_syntax_highlighting which isn't translatable yet, but I'm not sure if that's a good final destination page (i.e. perhaps we need a very short Help: page for it?)

Change 374056 had a related patch set uploaded (by Legoktm; owner: Quiddity):
[mediawiki/extensions/Popups@master] Use Special:MyLanguage in help link for betafeature info

https://gerrit.wikimedia.org/r/374056

Change 374058 had a related patch set uploaded (by Legoktm; owner: Quiddity):
[mediawiki/extensions/ContentTranslation@master] Use Special:MyLanguage in help link for betafeature info

https://gerrit.wikimedia.org/r/374058

Change 374057 had a related patch set uploaded (by Legoktm; owner: Quiddity):
[mediawiki/extensions/UniversalLanguageSelector@master] Use Special:MyLanguage in help link for betafeature info

https://gerrit.wikimedia.org/r/374057

Change 374058 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use Special:MyLanguage in help link for betafeature info

https://gerrit.wikimedia.org/r/374058

Thanks, Nemo.
I've submitted patches for the 4 BetaFeatures that didn't have Special:MyLanguage links already.

Great.

The only item missing a Special:MyLanguage link now, is https://meta.wikimedia.org/wiki/Community_Tech/Wikitext_editor_syntax_highlighting which isn't translatable yet, but I'm not sure if that's a good final destination page

Definitely not a good target.

(i.e. perhaps we need a very short Help: page for it?)

Yes, even https://www.mediawiki.org/wiki/Extension:CodeMirror would be ok (if this is indeed the relevant extension).

Change 374057 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Use Special:MyLanguage in help link for betafeature info

https://gerrit.wikimedia.org/r/374057

Quiddity closed this task as Resolved.Aug 27 2017, 12:04 AM
Quiddity claimed this task.

I looked at Extension:CodeMirror and considered making yet another page at Help:CodeMirror, but eventually decided to just improve the content at metawiki, and selectively mark that page for translation, because users are likely to want to see the list of features and customization options given at the bottom there. It would of course be ideal to have everything in one place, but there is already significant discussion at metawiki, and the Wikimedia-specific details aren't perfectly relevant for the Extension:CodeMirror page, so I went with the simplest solution, to just get it done.
Final patch submitted, I think this task can be closed.

Change 374056 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Use Special:MyLanguage in help link for betafeature info

https://gerrit.wikimedia.org/r/374056

Change 374061 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Use MyLanguage for betafeature info link.

https://gerrit.wikimedia.org/r/374061